#!/usr/bin/env python3

from libervia.backend.core.log import getLogger
from libervia.backend.core import exceptions
from libervia.web.server.constants import Const as C

log = getLogger(__name__)

name = "embed_app"
template = "embed/embed.html"


def parse_url(self, request):
    self.get_path_args(request, ["app_name"], min_args=1)
    data = self.get_r_data(request)
    app_name = data["app_name"]
    try:
        app_data = self.vhost_root.libervia_apps[app_name]
    except KeyError:
        self.page_error(request, C.HTTP_BAD_REQUEST)
    template_data = request.template_data
    template_data['full_screen_body'] = True
    try:
        template_data["target_url"] = app_data["url_prefix"]
    except KeyError:
        raise exceptions.InternalError(f'"url_prefix" is missing for {app_name!r}')
